from zope.interface import Interface, Attribute

__author__  = 'Mikko Ohtamaa <mikko@redinnovation.com>'
__docformat__ = 'epytext'
__copyright__ = "2009 Twinapex Research"
__licence__ = "GPL v2.1"

#: Unlimited ceiling marker integer for batch size 
UNLIMITED = 999999

class IBatch(Interface):
    """ Sample results batch without any user interface data or HTTP request functionality"""

    start = Attribute("The index of the first search result")

    count = Attribute("Number of items in this batch")

    batchSize = Attribute("The batch size used in query. The last page may have count != batchSize")

    totalCount = Attribute("How many results we have total")

    items = Attribute("Items as a Python list of dictionaries.")